package eventmodels

import "github.com/mhaya/game/game_cluster/internal/data"

// 用户奖励事件
type UserRewardEventContent struct {
	UserBasic
	EventBasic
	Source    int               `json:"source"` // 奖励来源
	SourceId  int               `json:"sourceId"`
	AddReward []data.ItemReward `json:"AddReward"` // 增加的道具
	SubReward []data.ItemReward `json:"SubReward"` // 减少的道具
	Desc      interface{}       `json:"desc"`
}

func (e *UserRewardEventContent) EventName() string {
	return "UserReward"
}
